Bug 177215 - Gnome menus slow to load first time after reboot
Gnome menus slow to load first time after reboot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-07 14:33 EST by Florin Andrei
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 13:03:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2006-01-07 14:33:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Reboot the system. Log in. Access any item in the Gnome menus.

It's slow, isn't it?

Please configure gnome-panel (or something) to read menus/icons ahead.
Or maybe it's not a gnome-panel issue per se. Either way, those menus and icons should already be loaded after login, waiting for user interaction. It's not nice to delay that until the first time the user wants to use them.

Version-Release number of selected component (if applicable):
gnome-panel-2.10.1-10.2

How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
  

Actual Results:  Gnome menus are slow to load after reboot/logon

Expected Results:  menus should be fast at all times

Additional info:
Comment 1 Jim Christiansen 2006-01-07 15:28:56 EST
I agree with the above-  Expected Results:  menus should be fast at all times

This should be addressed.  I can't remember the older gnomes being this way...

Many new users to linux see this major delay and get turned off pretty fast from
gnome and linux.
Comment 2 Florin Andrei 2006-01-07 15:38:24 EST
I noticed this problem when I created an account for my 4 year old son, to play
SuperTux. He knows how to find the game in the Gnome menus, but gets confused by
the initial slow response.
Comment 3 Jim Cornette 2006-01-07 23:35:50 EST
The application, places and system menus for FC5T1 seem to be quicker responding
than FC4 menus on first launch. This problem does make one wonder why "GNOME is
so slow" - I did not comment or file a bug on this menu behavior, it does need
addressed.
Comment 4 Jim Cornette 2006-01-08 10:10:32 EST
Just a note that the extreme lag to activate the menus is not present in FC5T1.
The problem still hampers FC4.
Comment 5 Jim Cornette 2006-03-28 20:41:58 EST
All systems migrated to FC5. Slowness is an FC4 feature
Comment 6 Christian Iseli 2007-01-22 06:10:09 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Florin Andrei 2007-01-22 13:03:57 EST
Using FC6, the bug is gone now. Thanks!

Note You need to log in before you can comment on or make changes to this bug.